/**
 * White compact & high contrast reveal.js theme, with headers not in capitals.
 *
 * By Peter Kehl. Based on white.(s)css by Hakim El Hattab, http://hakim.se
 *
 * - Keep the source similar to black.css - for easy comparison.
 * - $mainFontSize controls code blocks, too (although under some ratio).
 */

// Default mixins and settings -----------------
@import "../template/mixins";
@import "../template/settings";
// ---------------------------------------------

// Include theme-specific fonts
@import url(./fonts/source-sans-pro/source-sans-pro.css);

// Override theme settings (see ../template/settings.scss)
$backgroundColor: #fff;

$mainColor: #000;
$headingColor: #000;

$mainFontSize: 42px;
$mainFont: "Source Sans Pro", Helvetica, sans-serif;
$headingFont: "Source Sans Pro", Helvetica, sans-serif;
$headingTextShadow: none;
$headingLetterSpacing: normal;
$headingTextTransform: uppercase;
$headingFontWeight: 600;
$linkColor: #2a76dd;
$linkColorHover: lighten($linkColor, 15%);
$selectionBackgroundColor: lighten($linkColor, 25%);

$heading1Size: 2.5em;
$heading2Size: 1.6em;
$heading3Size: 1.3em;
$heading4Size: 1em;

// Change text colors against dark slide backgrounds
@include dark-bg-text-color(#fff);

// Theme template ------------------------------
@import "../template/theme";
// ---------------------------------------------
